Od dzisiaj wszystkie aplikacje w Sklepie Play muszą być bardziej nowoczesne

Łukasz Pająk Newsy 2019-11-01

Fragmentacja to największy problem Androida. W ciągu ostatnich lat widać wyraźne zainteresowanie Google w naprawieniu tej kwestii. Pojawił się projekt Treble, wymuszanie szybszych aktualizacji i kilka innych zmian. Wśród nich jest też wymuszanie na programistach przygotowanie aplikacji pod odpowiednią wersję bibliotek Androida. Dzisiaj nastąpił mały przełom, gdyż każdy program i gra muszą spełniać wymogi Androida 9 Pie.

Google od dzisiaj wymaga, aby wszystkie aplikacje ze Sklepu Play celowały w Androida 9 Pie

android 9 pie nieoficjalne oprogramowanie

Google wraz z wydaniem każdej, dużej wersji Androida wydaje nowe wersje bibliotek, tzw. Android API. W 2017 roku Amerykanie postanowili, że będą szybciej narzucać zmiany na programistach, aby ci dostosowali swoje produkcje do nowszych standardów. Tym samym od 1 sierpnia tego roku wszystkie nowe aplikacje musiał spełniać poziom 28 Android API, a od dzisiaj każda aktualizacja musi celować właśnie w tę wersję. Oczywiście warto pamiętać, że budowa aplikacji składa się jeszcze z minimalnej wersji API – ten parametr stanowi o najstarszym wydaniu Androida, który obsługuje dany program lub gra. TargetSDKversion, który jest przedmiotem tego tekstu, oznacza, że deweloper zweryfikował wszelkie aspekty na danej odsłonie Robocika.

Zobacz też: Samsung Daily zastępuje Bixby Home!

Wspomniany poziom 28 oznacza, że wszystkie aplikacje w Sklepie Play, które od dzisiaj zostaną wprowadzone lub zaktualizowane, są w pełni kompatybilne z Androidem Pie. Jakby nie patrzeć, roczne opóźnienie to zdecydowana różnica względem wcześniejszych, wyraźnie mniejszych wymagań Google. Programiści szybciej muszą poznawać wprowadzane nowości, stosować ulepszone metody. Naturalnie wymaga to więcej pracy i rozwoju, ale wszyscy wyjdą na tym lepiej. Przynajmniej tak brzmi teoria.

Źródło: XDA Developers






Przewiń stronę, by przeczytać kolejny wpis
x